package org.jeecg.modules.fileupload.service;

import cn.com.ctop.common.module.utils.ExternalMaterialCollection;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * 外部素材集信息表
 *
 * @author jeecg-boot
 * 2022-01-12
 * @version V1.0
 */
public interface IExternalMaterialCollectionService extends IService<ExternalMaterialCollection> {

    Result<Object> queryPageList(ExternalMaterialCollection externalMaterialCollection, Integer pageNo, Integer pageSize);

    void addByVideo(ExternalMaterialCollection materialCollection) throws Exception;

    void addByUrl(ExternalMaterialCollection materialCollection) throws Exception;

    void addMoreVideos(JSONArray array) throws Exception;

    void addMoreVideosByUrl(JSONArray array) throws Exception;

    boolean checkMaterialByMd5(String md5) throws Exception;

    Result<Object> addMoreVideosByExcel(MultipartFile file, String materialSource, String userId, Integer mediaType) throws Exception;

    Result<Object> getIndustryLabel();

    Result<Object> createInternalMaterial();

    Result<Object> getTagDetail(String md5, Integer mediaType);
}
